package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class ExamCourseMainTopTen {
	@ApiModelProperty(value = "调卷平均难度前十")
	private List<ExamCourseReportMainBean> difficultyDegreeDesc;
	@ApiModelProperty(value = "调卷平均难度后十")
	private List<ExamCourseReportMainBean> difficultyDegree;
	@ApiModelProperty(value = "标准差前十")
	private List<ExamCourseReportMainBean> stdDesc;
	@ApiModelProperty(value = "标准差后十")
	private List<ExamCourseReportMainBean> std;
	@ApiModelProperty(value = "差异系数前十")
	private List<ExamCourseReportMainBean> cdiDesc;
	@ApiModelProperty(value = "差异系数后十")
	private List<ExamCourseReportMainBean> cdi;
	@ApiModelProperty(value = "实考人数后十")
	private List<ExamCourseReportMainBean> participant;
	@ApiModelProperty(value = "实考人数前十")
	private List<ExamCourseReportMainBean> participantDesc;
	@ApiModelProperty(value = "实考比例后十")
	private List<ExamCourseReportMainBean> participantRatio;
	@ApiModelProperty(value = "实考比例前十")
	private List<ExamCourseReportMainBean> participantRatioDesc;
	@ApiModelProperty(value = "缺考人数后十")
	private List<ExamCourseReportMainBean> miss;
	@ApiModelProperty(value = "缺考人数前十")
	private List<ExamCourseReportMainBean> missDesc;
	@ApiModelProperty(value = "缺考比例数后十")
	private List<ExamCourseReportMainBean> missRatio;
	@ApiModelProperty(value = "缺考比例前十")
	private List<ExamCourseReportMainBean> missRatioDesc;
	@ApiModelProperty(value = "及格人数后十")
	private List<ExamCourseReportMainBean> pass;
	@ApiModelProperty(value = "及格人数前十")
	private List<ExamCourseReportMainBean> passDesc;
	@ApiModelProperty(value = "及格/报名人数比例后十")
	private List<ExamCourseReportMainBean> passSignRatio;
	@ApiModelProperty(value = "及格/报名人数比例前十")
	private List<ExamCourseReportMainBean> passSignRatioDesc;
	@ApiModelProperty(value = "及格/实考人数比例后十")
	private List<ExamCourseReportMainBean> passParticipantRatio;
	@ApiModelProperty(value = "及格/实考人数比例前十")
	private List<ExamCourseReportMainBean> passParticipantRatioDesc;
	@ApiModelProperty(value = "分段人数")
	private List<PartitionTopTen<PartitionDataBean>> partition;
	public List<ExamCourseReportMainBean> getParticipant() {
		return participant;
	}
	public void setParticipant(List<ExamCourseReportMainBean> participant) {
		this.participant = participant;
	}
	public List<ExamCourseReportMainBean> getParticipantDesc() {
		return participantDesc;
	}
	public void setParticipantDesc(List<ExamCourseReportMainBean> participantDesc) {
		this.participantDesc = participantDesc;
	}
	public List<ExamCourseReportMainBean> getMiss() {
		return miss;
	}
	public void setMiss(List<ExamCourseReportMainBean> miss) {
		this.miss = miss;
	}
	public List<ExamCourseReportMainBean> getMissDesc() {
		return missDesc;
	}
	public void setMissDesc(List<ExamCourseReportMainBean> missDesc) {
		this.missDesc = missDesc;
	}
	public List<ExamCourseReportMainBean> getPass() {
		return pass;
	}
	public void setPass(List<ExamCourseReportMainBean> pass) {
		this.pass = pass;
	}
	public List<ExamCourseReportMainBean> getPassDesc() {
		return passDesc;
	}
	public void setPassDesc(List<ExamCourseReportMainBean> passDesc) {
		this.passDesc = passDesc;
	}
	public List<PartitionTopTen<PartitionDataBean>> getPartition() {
		return partition;
	}
	public void setPartition(List<PartitionTopTen<PartitionDataBean>> partition) {
		this.partition = partition;
	}
	public List<ExamCourseReportMainBean> getParticipantRatio() {
		return participantRatio;
	}
	public void setParticipantRatio(List<ExamCourseReportMainBean> participantRatio) {
		this.participantRatio = participantRatio;
	}
	public List<ExamCourseReportMainBean> getParticipantRatioDesc() {
		return participantRatioDesc;
	}
	public void setParticipantRatioDesc(List<ExamCourseReportMainBean> participantRatioDesc) {
		this.participantRatioDesc = participantRatioDesc;
	}
	public List<ExamCourseReportMainBean> getMissRatio() {
		return missRatio;
	}
	public void setMissRatio(List<ExamCourseReportMainBean> missRatio) {
		this.missRatio = missRatio;
	}
	public List<ExamCourseReportMainBean> getMissRatioDesc() {
		return missRatioDesc;
	}
	public void setMissRatioDesc(List<ExamCourseReportMainBean> missRatioDesc) {
		this.missRatioDesc = missRatioDesc;
	}
	public List<ExamCourseReportMainBean> getPassSignRatio() {
		return passSignRatio;
	}
	public void setPassSignRatio(List<ExamCourseReportMainBean> passSignRatio) {
		this.passSignRatio = passSignRatio;
	}
	public List<ExamCourseReportMainBean> getPassSignRatioDesc() {
		return passSignRatioDesc;
	}
	public void setPassSignRatioDesc(List<ExamCourseReportMainBean> passSignRatioDesc) {
		this.passSignRatioDesc = passSignRatioDesc;
	}
	public List<ExamCourseReportMainBean> getPassParticipantRatio() {
		return passParticipantRatio;
	}
	public void setPassParticipantRatio(List<ExamCourseReportMainBean> passParticipantRatio) {
		this.passParticipantRatio = passParticipantRatio;
	}
	public List<ExamCourseReportMainBean> getPassParticipantRatioDesc() {
		return passParticipantRatioDesc;
	}
	public void setPassParticipantRatioDesc(List<ExamCourseReportMainBean> passParticipantRatioDesc) {
		this.passParticipantRatioDesc = passParticipantRatioDesc;
	}
	public List<ExamCourseReportMainBean> getDifficultyDegreeDesc() {
		return difficultyDegreeDesc;
	}
	public void setDifficultyDegreeDesc(List<ExamCourseReportMainBean> difficultyDegreeDesc) {
		this.difficultyDegreeDesc = difficultyDegreeDesc;
	}
	public List<ExamCourseReportMainBean> getDifficultyDegree() {
		return difficultyDegree;
	}
	public void setDifficultyDegree(List<ExamCourseReportMainBean> difficultyDegree) {
		this.difficultyDegree = difficultyDegree;
	}
	public List<ExamCourseReportMainBean> getStdDesc() {
		return stdDesc;
	}
	public void setStdDesc(List<ExamCourseReportMainBean> stdDesc) {
		this.stdDesc = stdDesc;
	}
	public List<ExamCourseReportMainBean> getStd() {
		return std;
	}
	public void setStd(List<ExamCourseReportMainBean> std) {
		this.std = std;
	}
	public List<ExamCourseReportMainBean> getCdiDesc() {
		return cdiDesc;
	}
	public void setCdiDesc(List<ExamCourseReportMainBean> cdiDesc) {
		this.cdiDesc = cdiDesc;
	}
	public List<ExamCourseReportMainBean> getCdi() {
		return cdi;
	}
	public void setCdi(List<ExamCourseReportMainBean> cdi) {
		this.cdi = cdi;
	}
	
}
