package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.api.ExamStudentCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.response.SaveExamStudentCountResp;
import cn.com.qmth.examcloud.core.reports.service.ExamStudentCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "考生在线人数接口")
@RequestMapping("${$rmp.cloud.reports}" + "examStudentCount")
public class ExamStudentCountCloudServiceProvider extends ControllerSupport implements ExamStudentCountCloudService {
	/**
	 * 
	 */
	private static final long serialVersionUID = 3223439983825840881L;
	@Autowired
	private ExamStudentCountService examStudentCountService;

	@ApiOperation(value = "计算在线人数")
    @PostMapping("/saveCount")
	@Override
	public SaveExamStudentCountResp saveCount() {
		examStudentCountService.saveCount();
		return new SaveExamStudentCountResp();
	}
}
