package cn.com.qmth.examcloud.core.reports.service;

import java.util.List;

import javax.servlet.http.HttpServletResponse;

import cn.com.qmth.examcloud.core.reports.api.bean.ExamCourseDataReportBean;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamCourseMainTopTen;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamCourseReportMainBean;
import cn.com.qmth.examcloud.core.reports.dao.entity.ProjectEntity;

public interface ExamCourseDataReportService {

	public void saveExamCourseDataReportList(List<ExamCourseDataReportBean> beans);
	public void deleteByProject(Long projectId,Long rootOrgId);
	public List<ExamCourseReportMainBean> getExamCourseMainList(Long projectId, Long examId);
	public ExamCourseMainTopTen getExamCourseMainTop10(Long projectId, Long examId);
	public void exportAll(ProjectEntity pe, Long examId, HttpServletResponse response);
}
