package cn.com.qmth.examcloud.core.reports.service;

import java.util.List;

import javax.servlet.http.HttpServletResponse;

import cn.com.qmth.examcloud.core.reports.api.bean.ExamOrgReportBean;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamOrgMainTopTen;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamOrgReportMainBean;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamReportMainBean;
import cn.com.qmth.examcloud.core.reports.base.util.excel.SheetData;
import cn.com.qmth.examcloud.core.reports.dao.entity.ProjectEntity;

public interface ExamOrgReportService {

	public void saveExamOrgReportList(List<ExamOrgReportBean> beans);
	public void deleteByProject(Long projectId,Long rootOrgId);
	public List<ExamOrgReportMainBean> getExamOrgMainList(Long projectId,Long examId);
	public List<ExamReportMainBean> getExamMainList(Long projectId,Long examId);
	public ExamOrgMainTopTen getExamOrgMainTop10(Long projectId, Long examId);
	public void exportAll(ProjectEntity pe,Long examId,String items,HttpServletResponse response);
	public void fillExamMainSheetdata(List<SheetData> sheets, List<ExamReportMainBean> list, List<String> header,
			int partitionCount);
}
